Debian Bug report logs - #665199
slapd: fails to install, remove, distupgrade, and install again

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 22 Mar 2012 15:30:01 UTC

Severity: serious

Tags: squeeze

Found in versions openldap/2.4.31-1, openldap/2.4.23-1

Fixed in version 2.4.23-7.3

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Thu, 22 Mar 2012 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 22 Mar 2012 15:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slapd: fails to install, remove, distupgrade, and install again
Date: Thu, 22 Mar 2012 16:28:16 +0100
[Message part 1 (text/plain, inline)]
Package: slapd
Version: 2.4.28-1.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to install
(in 'squeeze'), remove (but not purge), distupgrade to 'wheezy',
and install again.
Before the second installation the package is in config-files-remaining
state. The configuration is remaining from the last version that was
successfully configured - which is from the previous release.

Note that policy-rc.d is setup to prevent daemons to be started during
the test.

Like a plain failure on initial install this makes the package too buggy
for a release, thus the severity.

>From the attached log (scroll to the bottom...):

  Setting up slapd (2.4.28-1.1) ...
  Installing new version of config file /etc/ldap/schema/openldap.ldif ...
  Installing new version of config file /etc/ldap/schema/dyngroup.schema ...
  Installing new version of config file /etc/ldap/schema/nis.schema ...
  Installing new version of config file /etc/ldap/schema/nis.ldif ...
  Installing new version of config file /etc/ldap/schema/pmi.schema ...
  Installing new version of config file /etc/ldap/schema/inetorgperson.ldif ...
  Installing new version of config file /etc/ldap/schema/duaconf.schema ...
  Installing new version of config file /etc/ldap/schema/README ...
  Installing new version of config file /etc/ldap/schema/misc.schema ...
  Installing new version of config file /etc/ldap/schema/cosine.ldif ...
  Installing new version of config file /etc/ldap/schema/openldap.schema ...
  Installing new version of config file /etc/ldap/schema/inetorgperson.schema ...
    Backing up /etc/ldap/slapd.d in /var/backups/slapd-2.4.23-7.2... done.
    Moving old database directories to /var/backups:
    - directory dc=aa,dc=bb,dc=cc,dc=dd... done.
    Loading from /var/backups/slapd-2.4.23-7.2:
    - directory dc=aa,dc=bb,dc=cc,dc=dd... failed.

  Loading the database from the LDIF dump failed with the following
  error while running slapadd:
      /var/backups/slapd-2.4.23-7.2/dc=aa,dc=bb,dc=cc,dc=dd.ldif: No such file or directory
  dpkg: error processing slapd (--configure):
   subprocess installed post-installation script returned error exit status 1
  configured to not write apport reports
  Errors were encountered while processing:
   slapd


cheers,

Andreas
[slapd_2.4.28-1.1.log.gz (application/x-gzip, attachment)]

Marked as found in versions openldap/2.4.31-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 10 Jul 2012 21:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Thu, 26 Jul 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Hiestand <chiestand@salk.edu>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 26 Jul 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 665199@bugs.debian.org (full text, mbox):

From: Chris Hiestand <chiestand@salk.edu>
To: 665199@bugs.debian.org
Subject: Path failure in slapd backup restore install script
Date: Thu, 26 Jul 2012 16:32:11 -0700
I can reproduce this; I get a failed slapd upgrade from Squeeze to Wheezy.

For some reason slapcat is never run and the .ldif file is never created.
Then load_databases() is run and tries to access a file that doesn't
exist.

> chiestand@sagan:/tmp/openldap-2.4.31/debian$ sudo dpkg --configure -a
> Setting up slapd (2.4.31-1) ...
>   Backing up /etc/ldap/slapd.d in /var/backups/slapd-2.4.23-7.3... done.
>   Moving old database directories to /var/backups:
>   - directory dc=aa,dc=bb,dc=cc... done.
>   Loading from /var/backups/slapd-2.4.23-7.3: 
>   - directory dc=aa,dc=bb,dc=cc... failed.
> 
> Loading the database from the LDIF dump failed with the following
> error while running slapadd:
>     /var/backups/slapd-2.4.23-7.3/dc=aa,dc=bb,dc=cc.ldif: No such file or directory
> dpkg: error processing slapd (--configure):
>  subprocess installed post-installation script returned error exit status 1
> Errors were encountered while processing:
>  slapd



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Fri, 27 Jul 2012 08:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Schramm <debian@shakaweb.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 27 Jul 2012 08:15:05 GMT) Full text and rfc822 format available.


Message #17 received at 665199@bugs.debian.org (full text, mbox):

From: Christopher Schramm <debian@shakaweb.org>
To: 665199@bugs.debian.org
Date: Fri, 27 Jul 2012 09:58:24 +0200
The preinst script dumps the databases only in upgrade mode, while the 
postinst script loading the databases does not have such a condition.

Hence it will fail if the previous version was removed.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Fri, 02 Nov 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 02 Nov 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 665199@bugs.debian.org (full text, mbox):

From: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>
To: 665199@bugs.debian.org
Cc: debian mentors <debian-mentors@lists.debian.org>
Subject: fix for rc bug #665199
Date: Fri, 2 Nov 2012 11:11:13 -0300
[Message part 1 (text/plain, inline)]
hello, i've prepared  an updated version of slapd package which fix
the bug #665199


debdiff output

$ debdiff slapd_2.4.31-1.1_i386.deb /var/cache/apt/archives/slapd_2.4.31-1_i386.deb 
[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in second .deb but not in first
-------------------------------------
-rwxr-xr-x  root/root   /usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapacl link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapadd link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapauth link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapcat link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapd link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapdn link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapindex link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapschema link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slaptest link to ./usr/sbin/slappasswd

Files in first .deb but not in second
-------------------------------------
-rwxr-xr-x  root/root   /usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapacl link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapauth link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapcat link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapd link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapdn link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapindex link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slappasswd link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapschema link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slaptest link to ./usr/sbin/slapadd

Control files: lines which differ (wdiff format)
------------------------------------------------
Depends: libc6 (>= 2.12), libdb5.1, libgcrypt11 (>= 1.4.5), libgnutls26 (>= 2.12.17-0), libldap-2.4-2 (= [-2.4.31-1.1),-] {+2.4.31-1),+} libltdl7 (>= 2.4.2), libodbc1 (>= 2.2.11) | unixodbc (>= 2.2.11), libperl5.14 (>= 5.14.2), libsasl2-2 (>= 2.1.24), libslp1, libwrap0 (>= 7.6-4~), coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl, adduser, lsb-base (>= 3.2-13)
Version: [-2.4.31-1.1-] {+2.4.31-1+}


piuparts output (i'm running piuparts from git, piatti's branch)

$ sudo python piuparts.py --warn-on-others --warn-on-leftovers-after-purge --skip-logrotatefiles-test  --install-remove-install  -b /var/cache/pbuilder/squeeze.i386.tgz  -d squeeze  --log-level=info /var/cache/pbuilder/result/slapd_2.4.31-1.1_i386.deb 
Guessed: debian
0m0.0s INFO: ------------------------------------------------------------------------------
0m0.0s INFO: To quickly glance what went wrong, scroll down to the bottom of this logfile.
0m0.0s INFO: FAQ available at http://wiki.debian.org/piuparts/FAQ
0m0.0s INFO: ------------------------------------------------------------------------------
0m0.0s INFO: piuparts version __PIUPARTS_VERSION__ starting up.
0m0.0s INFO: Command line arguments: piuparts.py --warn-on-others --warn-on-leftovers-after-purge --skip-logrotatefiles-test --install-remove-install -b /var/cache/pbuilder/squeeze.i386.tgz -d squeeze --log-level=info /var/cache/pbuilder/result/slapd_2.4.31-1.1_i386.deb
0m0.0s INFO: Running on: Linux io 3.5-trunk-amd64 #1 SMP Debian 3.5.5-1~experimental.1 x86_64
0m17.5s INFO: Installation of ['tmp/piuparts-depends-dummy.deb'] ok
0m18.5s INFO: Installation of ['tmp/slapd_2.4.31-1.1_i386.deb'] ok
0m18.7s INFO: Reinstalling after remove
0m19.0s INFO: Installation of ['tmp/slapd_2.4.31-1.1_i386.deb'] ok
0m28.3s INFO: PASS: Installation and purging test.
0m28.3s INFO: apt-cache knows about the following packages: slapd
0m37.6s INFO: Installation of ['tmp/slapd_2.4.31-1.1_i386.deb'] ok
0m54.2s INFO: Warning: Package purging left files on system:
  /var/lib/ldap/     not owned
  /var/lib/ldap/DB_CONFIG    not owned
  /var/lib/ldap/__db.001     not owned
  /var/lib/ldap/__db.002     not owned
  /var/lib/ldap/__db.003     not owned
  /var/lib/ldap/__db.004     not owned
  /var/lib/ldap/__db.005     not owned
  /var/lib/ldap/__db.006     not owned
  /var/lib/ldap/alock    not owned
  /var/lib/ldap/dn2id.bdb    not owned
  /var/lib/ldap/id2entry.bdb     not owned
  /var/lib/ldap/log.0000000001   not owned
  /var/lib/ldap/objectClass.bdb  not owned

0m54.2s INFO: PASS: Installation, upgrade and purging tests.
0m55.1s INFO: PASS: All tests.
0m55.1s INFO: piuparts run ends.


updated package can be found at
http://mentors.debian.net/debian/pool/main/o/openldap/openldap_2.4.31-1.1.dsc


attached are the piuparts log for the wheezy and updated package

thanks!


-- 
1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333

[openldap.nmu.log.bz2 (application/octet-stream, attachment)]
[openldap.wheezy.log.bz2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sat, 03 Nov 2012 02:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sat, 03 Nov 2012 02:15:06 GMT) Full text and rfc822 format available.

Message #27 received at 665199@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 665199@bugs.debian.org, debian mentors <debian-mentors@lists.debian.org>
Subject: Re: fix for rc bug #665199
Date: Fri, 2 Nov 2012 22:11:20 -0400
On Fri, Nov 2, 2012 at 10:11 AM, gustavo panizzo  wrote:
> hello, i've prepared  an updated version of slapd package which fix
> the bug #665199

Hi, I've just reviewed this, and it looks reasonable.  However, the
changelog note is not really descriptive enough:

  * Fix a bug while upgrading from squeeze to wheezy (Closes: #665199).

Could you be a bit clearer?  Something along the lines of "regenerate
slapd database in postinst during upgrade process" would be good.

Thanks,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sat, 03 Nov 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gustavo panizzo <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sat, 03 Nov 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 665199@bugs.debian.org (full text, mbox):

From: gustavo panizzo <gfa@zumbi.com.ar>
To: Michael Gilbert <mgilbert@debian.org>,665199@bugs.debian.org,debian mentors <debian-mentors@lists.debian.org>
Subject: Re: fix for rc bug #665199
Date: Sat, 03 Nov 2012 14:45:01 -0300
[Message part 1 (text/plain, inline)]

Michael Gilbert <mgilbert@debian.org> wrote:

>On Fri, Nov 2, 2012 at 10:11 AM, gustavo panizzo  wrote:
>> hello, i've prepared  an updated version of slapd package which fix
>> the bug #665199
>
>Hi, I've just reviewed this, and it looks reasonable.  However, the
>changelog note is not really descriptive enough:
>
>  * Fix a bug while upgrading from squeeze to wheezy (Closes: #665199).
>
>Could you be a bit clearer?  Something along the lines of "regenerate
>slapd database in postinst during upgrade process" would be good.

i've upload an updated package with better changlelog, same url

thanks
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sun, 04 Nov 2012 00:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 04 Nov 2012 00:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 665199@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>, 665199@bugs.debian.org
Cc: debian mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#665199: fix for rc bug #665199
Date: Sat, 3 Nov 2012 08:34:57 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 02, 2012 at 11:11:13AM -0300, gustavo panizzo <gfa> wrote:
> updated package can be found at
> http://mentors.debian.net/debian/pool/main/o/openldap/openldap_2.4.31-1.1.dsc

This is not the correct procedure for an NMU.  Please send a debdiff to the
bug report.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sun, 04 Nov 2012 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 04 Nov 2012 04:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 665199@bugs.debian.org (full text, mbox):

From: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>
To: 665199@bugs.debian.org, debian mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#665199: fix for rc bug #665199
Date: Sun, 04 Nov 2012 01:23:17 -0300
On 11/03/2012 04:34 AM, Steve Langasek wrote:
> On Fri, Nov 02, 2012 at 11:11:13AM -0300, gustavo panizzo <gfa>
> wrote:
>> updated package can be found at 
>> http://mentors.debian.net/debian/pool/main/o/openldap/openldap_2.4.31-1.1.dsc
>
>> 
> This is not the correct procedure for an NMU.  Please send a
> debdiff to the bug report.
> 

sending it again

$ debdiff /var/cache/pbuilder/result/slapd_2.4.31-1.1_i386.deb
/var/cache/apt/archives/slapd_2.4.31-1_i386.deb
[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in second .deb but not in first
-------------------------------------
-rwxr-xr-x  root/root   /usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapacl link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapadd link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapauth link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapcat link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapd link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapdn link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapindex link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slapschema link to ./usr/sbin/slappasswd
hrwxr-xr-x  root/root   /usr/sbin/slaptest link to ./usr/sbin/slappasswd

Files in first .deb but not in second
-------------------------------------
-rwxr-xr-x  root/root   /usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapacl link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapauth link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapcat link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapd link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapdn link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapindex link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slappasswd link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slapschema link to ./usr/sbin/slapadd
hrwxr-xr-x  root/root   /usr/sbin/slaptest link to ./usr/sbin/slapadd

Control files: lines which differ (wdiff format)
------------------------------------------------
Depends: libc6 (>= 2.12), libdb5.1, libgcrypt11 (>= 1.4.5),
libgnutls26 (>= 2.12.17-0), libldap-2.4-2 (= [-2.4.31-1.1),-]
{+2.4.31-1),+} libltdl7 (>= 2.4.2), libodbc1 (>= 2.2.11) | unixodbc
(>= 2.2.11), libperl5.14 (>= 5.14.2), libsasl2-2 (>= 2.1.24), libslp1,
libwrap0 (>= 7.6-4~), coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0)
| libmime-base64-perl, adduser, lsb-base (>= 3.2-13)
Version: [-2.4.31-1.1-] {+2.4.31-1+}


-- 
1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sun, 04 Nov 2012 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 04 Nov 2012 04:33:03 GMT) Full text and rfc822 format available.

Message #47 received at 665199@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: "gustavo panizzo \<gfa\>" <gfa@zumbi.com.ar>
Cc: 665199@bugs.debian.org, debian mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#665199: fix for rc bug #665199
Date: Sat, 03 Nov 2012 21:30:48 -0700
"gustavo panizzo <gfa>" <gfa@zumbi.com.ar> writes:

> sending it again

> $ debdiff /var/cache/pbuilder/result/slapd_2.4.31-1.1_i386.deb
> /var/cache/apt/archives/slapd_2.4.31-1_i386.deb

It's the change to the source package, not the binary package, that's
important for an NMU, so you have to debdiff the *.dsc files.  The
devscripts package has an nmudiff script that automates much of this
procedure.

(I'm listed as a comaintainer for openldap but haven't had any time to
work on the package for quite some time, unfortunately.  I should really
probably remove myself.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sun, 04 Nov 2012 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 04 Nov 2012 04:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 665199@bugs.debian.org (full text, mbox):

From: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>
To: 665199@bugs.debian.org
Cc: debian mentors <debian-mentors@lists.debian.org>
Subject: openldap: diff for NMU version 2.4.31-1.1
Date: Sun, 4 Nov 2012 01:40:52 -0300
[Message part 1 (text/plain, inline)]
tags 665199 + patch
tags 665199 + pending
thanks

Dear maintainer,

I've prepared an NMU for openldap (versioned as 2.4.31-1.1)
attached is the diff between the sources as nmudiff shows 

Regards.

-- 
1AE0 322E B8F7 4717 BDEA  BF1D 44BB 1BA7 9F6C 6333

[openldap-2.4.31-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from "gustavo panizzo <gfa>" <gfa@zumbi.com.ar> to control@bugs.debian.org. (Sun, 04 Nov 2012 04:45:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from "gustavo panizzo <gfa>" <gfa@zumbi.com.ar> to control@bugs.debian.org. (Sun, 04 Nov 2012 04:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sun, 04 Nov 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 04 Nov 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #61 received at 665199@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: "gustavo panizzo <gfa>" <gfa@zumbi.com.ar>, 665199@bugs.debian.org
Cc: debian mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#665199: openldap: diff for NMU version 2.4.31-1.1
Date: Sat, 3 Nov 2012 23:13:22 -0700
[Message part 1 (text/plain, inline)]
tags 665199 - patch pending
thanks

On Sun, Nov 04, 2012 at 01:40:52AM -0300, gustavo panizzo <gfa> wrote:

> I've prepared an NMU for openldap (versioned as 2.4.31-1.1)
> attached is the diff between the sources as nmudiff shows 

Have you tested this patch?  Because 'upgrade' is not the argument passed to
postinst scripts on upgrade; this appears to be a complete no-op.

Also, the upgrade case is already handled in the
postinst_upgrade_configuration function.  If load_databases needs to be done
including when the database format has not changed, this should be handled
here.

This change should not be uploaded to unstable.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending and patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 04 Nov 2012 06:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sat, 24 Nov 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #68 received at 665199@bugs.debian.org (full text, mbox):

From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
To: 665199@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Dump databases before the remove operation
Date: Sat, 24 Nov 2012 15:19:36 +0900
Hi,

In the case of this bug report (install, remove, distupgrade, and
install again), the remove operation in squeeze deletes the
db4.8-linked version of slapcat (in squeeze). Then slapd.preinst in
wheezy cannot dump the old db4.8 database of openldap.

I think we have two options: either
    a) modify slapd.prerm in squeeze to dump the old database
or
    b) make slapd in wheezy depend on db-util and modify
slapd.postinst in wheezy to upgrade the old database

Regards,
-- 
YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Tue, 11 Dec 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 11 Dec 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #73 received at 665199@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 665199@bugs.debian.org
Subject: Initiate dumping of dbs, but actual dumping yet to be fixed
Date: Tue, 11 Dec 2012 21:48:45 +0100
Hi,

Here's a tested patch for the part of the problem that's described in message
#17 in this bug report. We still need a solution for the issue described in
message #68.

Cheers,
sez


--- openldap-2.4.31/debian/slapd.postinst	2012-12-11 14:34:47.000000000 +0100
+++ new/openldap-2.4.31/debian/slapd.postinst	2012-12-11 20:58:39.000000000 +0100
@@ -78,6 +78,9 @@ fi
 if is_initial_configuration "$@"; then
 	postinst_initial_configuration
 else
+	if [ "$MODE" = configure ] && previous_version_older 2.4.31-1; then
+		dump_databases
+	fi
 	postinst_upgrade_configuration
 fi
 

-- 
Every great idea is worthless without someone to do the work. --Neil Williams



Added tag(s) pending. Request was from Wouter Verhelst <wouter@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2012 13:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Sun, 16 Dec 2012 13:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Sun, 16 Dec 2012 13:45:08 GMT) Full text and rfc822 format available.

Message #80 received at 665199@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: 665199@bugs.debian.org
Cc: control@bugs.debian.org
Subject: NMU diff for 2.4.23-7.3 uploaded to DELAYED/7
Date: Sun, 16 Dec 2012 14:21:47 +0100
tags 665199 + pending
thanks

Hi,

As part of the BSP in Mechelen, I've just uploaded openldap 2.4.23-7.3
to DELAYED/7, targetted at stable. I've tested it by installing that
package in a stable chroot, and then upgrading it to unstable; the
database was successfully dumped and later restored by the version in
unstable.

I'll make sure to talk to the SRM and the release notes editors to take
appropriate action, but this should close this bug.

The diff that was applied is the following:

diff -u openldap-2.4.23/debian/slapd.preinst openldap-2.4.23/debian/slapd.preinst
--- openldap-2.4.23/debian/slapd.preinst
+++ openldap-2.4.23/debian/slapd.preinst
@@ -4,17 +4,6 @@
 
 . /usr/share/debconf/confmodule
 
-# This will be replaced with debian/slapd.scripts-common which includes
-# various helper functions and $OLD_VERSION and $SLAPD_CONF
-#SCRIPTSCOMMON#
-
-# If we are upgrading from an old version then stop slapd and attempt to
-# slapcat out the data so we can use it in postinst to do the upgrade
-
-if [ "$MODE" = upgrade ]; then
-	dump_databases
-fi
-
 #DEBHELPER#
 
 exit 0
diff -u openldap-2.4.23/debian/slapd.prerm openldap-2.4.23/debian/slapd.prerm
--- openldap-2.4.23/debian/slapd.prerm
+++ openldap-2.4.23/debian/slapd.prerm
@@ -4,6 +4,17 @@
 
 . /usr/share/debconf/confmodule
 
+# This will be replaced with debian/slapd.scripts-common which includes
+# various helper functions and $OLD_VERSION and $SLAPD_CONF
+#SCRIPTSCOMMON#
+
+# If we are upgrading from an old version then stop slapd and attempt to
+# slapcat out the data so we can use it in postinst to do the upgrade
+
+if [ "$MODE" = upgrade ]; then
+	dump_databases
+fi
+
 #DEBHELPER#
 
 exit 0
diff -u openldap-2.4.23/debian/changelog openldap-2.4.23/debian/changelog
--- openldap-2.4.23/debian/changelog
+++ openldap-2.4.23/debian/changelog
@@ -1,3 +1,10 @@
+openldap (2.4.23-7.3) stable; urgency=low
+
+  * Non-maintainer upload targeted at stable
+  * Dump the database in prerm if we're upgrading. Closes: #665199
+
+ -- Wouter Verhelst <wouter@debian.org>  Sun, 16 Dec 2012 12:44:59 +0100
+
 openldap (2.4.23-7.2) stable; urgency=low
 
   * Non-maintainer upload targeted at stable.

-- 
Copyshops should do vouchers. So that next time some bureaucracy requires you
to mail a form in triplicate, you can mail it just once, add a voucher, and
save on postage.



Reply sent to Wouter Verhelst <wouter@debian.org>:
You have taken responsibility. (Sat, 12 Jan 2013 16:21:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 12 Jan 2013 16:21:03 GMT) Full text and rfc822 format available.

Message #85 received at 665199-close@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: 665199-close@bugs.debian.org
Subject: Bug#665199: fixed in openldap 2.4.23-7.3
Date: Sat, 12 Jan 2013 16:17:05 +0000
Source: openldap
Source-Version: 2.4.23-7.3

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665199@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wouter Verhelst <wouter@debian.org> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 16 Dec 2012 12:44:59 +0100
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.23-7.3
Distribution: stable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Wouter Verhelst <wouter@debian.org>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 665199
Changes: 
 openldap (2.4.23-7.3) stable; urgency=low
 .
   * Non-maintainer upload targeted at stable
   * Dump the database in prerm if we're upgrading. Closes: #665199
Checksums-Sha1: 
 82d2684fdb5d1dc5d1f1005e6a5d9a9bbb10fe7b 2508 openldap_2.4.23-7.3.dsc
 3a1bf8025b71fd9cfa8045cb62911e586d76dce6 156751 openldap_2.4.23-7.3.diff.gz
 27e4c1cb808d556f42a180a717d3d57e43d48739 1608810 slapd_2.4.23-7.3_amd64.deb
 0deb7dd8a946f1ad969fc8a6a5b56f71b30c0526 58354 slapd-smbk5pwd_2.4.23-7.3_amd64.deb
 2d977c9aea1440e5fd122f703533fdaf96f50ad5 327910 ldap-utils_2.4.23-7.3_amd64.deb
 1a7d2917a70d0a8ea3fe4100a8c2a5fde6bdfbdb 211256 libldap-2.4-2_2.4.23-7.3_amd64.deb
 c9886200cc460940502e1d66a59c9cb6f21df095 306148 libldap-2.4-2-dbg_2.4.23-7.3_amd64.deb
 59f6dd14b149a648378bb61fdc8d2f19079d45d9 1004000 libldap2-dev_2.4.23-7.3_amd64.deb
 ae6e0cbaf12c43067184b5053ced0043d60e4c3b 4028580 slapd-dbg_2.4.23-7.3_amd64.deb
Checksums-Sha256: 
 ec7ea02b29f438ae97d20781b4bea85a691ff424b1e2f9df3510310e76d82ce9 2508 openldap_2.4.23-7.3.dsc
 60daff2ef5f98649bcab7c9c1734af33c3bfe83b625474a0c51d4cef510b7393 156751 openldap_2.4.23-7.3.diff.gz
 827b3605f5a69d878e3a2bac097625e228b6c4629db32445630f7db8590b46fd 1608810 slapd_2.4.23-7.3_amd64.deb
 5f3c0434301255e8aa1890eacc95c08d973401cc5af7eb345ce4578f9f996436 58354 slapd-smbk5pwd_2.4.23-7.3_amd64.deb
 4455a1bd882b5485c34b325a61c07ec3ce3a5e3ea1e7e584b35e6129e611d58f 327910 ldap-utils_2.4.23-7.3_amd64.deb
 a359f46f51013313aeaede72fbfd530298c367712ac1db0280624622d814a575 211256 libldap-2.4-2_2.4.23-7.3_amd64.deb
 e212a1c0a95328cb0c09acad44942e4fe4a5143edb1cf8b26532d3dee9cf85f5 306148 libldap-2.4-2-dbg_2.4.23-7.3_amd64.deb
 b45ed35df9abe6d28ff75c63bdedaf4c98745575cd10445956a6cd8ef53ae7b3 1004000 libldap2-dev_2.4.23-7.3_amd64.deb
 fe07c5151f3547315edf02faadc8585a795f66360413331f801d3ceea96586be 4028580 slapd-dbg_2.4.23-7.3_amd64.deb
Files: 
 a688db13614772b732857618adb4f3b9 2508 net optional openldap_2.4.23-7.3.dsc
 c108cdb6911128f3cf9a95faa719bbcb 156751 net optional openldap_2.4.23-7.3.diff.gz
 603fef475c6b5015192a122841f66af9 1608810 net optional slapd_2.4.23-7.3_amd64.deb
 4af189edc0ceef86d86a35f8fdde913b 58354 net extra slapd-smbk5pwd_2.4.23-7.3_amd64.deb
 39106efaf03ca66af8c41709a23d307b 327910 net optional ldap-utils_2.4.23-7.3_amd64.deb
 86f7eec14bde8ce7f0adc02bc8fcefc2 211256 libs standard libldap-2.4-2_2.4.23-7.3_amd64.deb
 6728cb08e25703ebbd8648c559a40a84 306148 debug extra libldap-2.4-2-dbg_2.4.23-7.3_amd64.deb
 c7381311e21e3c96d49b9ba2bf9b0a76 1004000 libdevel extra libldap2-dev_2.4.23-7.3_amd64.deb
 57f54b0effe72fb377e2eb99a618bc8a 4028580 debug extra slapd-dbg_2.4.23-7.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQzcnVAAoJEMKUD5Ub3wqd+ygQANmMYsCY+k0K+hSa2K4usMz3
/DrXKM8rPTCJDtYykYePYmzgHzHRnIAw2/cubtDRmz/70K44cvRGAcdidU8l6IND
9VfWhy+W7PbjLlP9uYecFjm0dIkuIjnjW+61m3GSZvOGVgvTMXbnfLFy6yUQoEoW
ox84j8Hak+TGsa3FKEIWJjfYcLn0L2QrBKoR+YsTbfUxHVot5Q4GPsMzDRmEksjY
d1kVVBIDCOBYeeF2i2rzCcgZPpeCYEMAMsNm1MA1AzrfVJC3E/ihfppXFVxlnd3O
iwSgcFJ8+u2jVi8JUhxmZiwPrcdEuw4Sr5Zk7YS+U+z7Y11+AW6ZF0GSkoAbnvyL
isahj15R/p5T1jT247SdUzVq+HUmLGN9+nUDxFsCv/hrGMUSYzd7YvC5N7ad5nPL
aCEbm6xuCHQR7+SRERtA5PjyDGNu55u+NYS14rA4Lh9K6DcIO/7Keqn8O7DySs/2
wunKNki2jFnuULrk689bV2ixOWXV/g6I9qrQR4GtKcatA62MrYSuThqgCE4Z49vB
SRh+d2tmX705bvpu54K6vVnhNaHhYE/XaBDc50+xeZ/mAbtpg8tf1j0eqX8YanDW
qw6BMa9uvb2zZbxYMwIzm1p52aIb8YXKHxAUpT08EBuzy9H7AOMzi1qI76PR3uyx
UPfKdv/yVKdawxpH1kw2
=HiwG
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:27:26 GMT) Full text and rfc822 format available.

No longer marked as found in versions openldap/2.4.31-1. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:48:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions openldap/2.4.28-1.1. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:48:04 GMT) Full text and rfc822 format available.

Marked as found in versions openldap/2.4.23-7.3; no longer marked as fixed in versions openldap/2.4.23-7.3 and reopened. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:48:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions openldap/2.4.23-7.3. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:57:03 GMT) Full text and rfc822 format available.

Marked as found in versions openldap/2.4.23-1. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:57:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions openldap/2.4.23-7.3. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:57:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 21:57:04 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sun, 27 Jan 2013 21:57:05 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 10 Feb 2013 22:27:03 GMT) Full text and rfc822 format available.

Marked as found in versions openldap/2.4.31-1 and reopened. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 23:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Mon, 11 Feb 2013 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 23:03:03 GMT) Full text and rfc822 format available.

Message #112 received at 665199@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <665199@bugs.debian.org>
Subject: Re: slapd: fails to install, remove, distupgrade, and install again
Date: Mon, 11 Feb 2013 23:59:34 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #665199

Still reproducible when installing 2.4.31-1 over 2.4.23-7.2 in
config-files-remaining state.

Andreas
[slapd_2.4.31-1.log.gz (application/x-gzip, attachment)]

Message sent on to Andreas Beckmann <anbe@debian.org>:
Bug#665199. (Sun, 24 Feb 2013 20:24:06 GMT) Full text and rfc822 format available.

Message #115 received at 665199-submitter@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Andreas Beckmann <anbe@debian.org>
Cc: Debian Bug Tracking System <665199-submitter@bugs.debian.org>
Subject: Re: slapd: fails to install, remove, distupgrade, and install again
Date: Sun, 24 Feb 2013 21:21:12 +0100
On Mon, Feb 11, 2013 at 11:59:34PM +0100, Andreas Beckmann wrote:
> Still reproducible when installing 2.4.31-1 over 2.4.23-7.2 in
> config-files-remaining state.

Yes, but only because you used -7.2. With -7.3 (which, with the new
point release out, now finally is available in stable), you won't have
that problem.

-- 
Copyshops should do vouchers. So that next time some bureaucracy requires you
to mail a form in triplicate, you can mail it just once, add a voucher, and
save on postage.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Tue, 26 Feb 2013 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jens@abromeit.info:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Tue, 26 Feb 2013 20:39:03 GMT) Full text and rfc822 format available.

Message #120 received at 665199@bugs.debian.org (full text, mbox):

From: jens@abromeit.info
To: <665199@bugs.debian.org>
Subject: Fix for 665199 breaks slapd upgrade from lenny to squeeze
Date: Tue, 26 Feb 2013 21:35:35 +0100
Package: slapd
Version: 2.4.23-7.3
Severity: serious

Hello all!

The changes to the installation procedure made between slapd 2.4.23-7.2 
and slapd 2.4.23-7.3
pushed the failure to the late upgraders from Lenny to Squeeze.

The previous version slapd 2.4.23-7.2 worked well in an upgrade 
szenario from last Lenny version 5.0.10
with all patches to Squeeze version 6.0.6 without real trouble.

The failure messages are exactly the same. (see below).

Upgrading the package slapd from Lenny 2.4.11-1+lenny2.1 to 2.4.23-7.3 
fails:

Setting up slapd (2.4.23-7.3) ...
Installing new version of config file 
/etc/ldap/schema/inetorgperson.schema ...
Installing new version of config file /etc/ldap/schema/cosine.ldif ...
Installing new version of config file /etc/ldap/schema/misc.schema ...
Installing new version of config file /etc/ldap/schema/duaconf.schema 
...
Installing new version of config file /etc/ldap/schema/dyngroup.schema 
...
Installing new version of config file /etc/ldap/schema/openldap.ldif 
...
Installing new version of config file 
/etc/ldap/schema/inetorgperson.ldif ...
Installing new version of config file /etc/ldap/schema/openldap.schema 
...
Installing new version of config file /etc/ldap/schema/nis.ldif ...
Installing new version of config file /etc/ldap/schema/README ...
Installing new version of config file /etc/ldap/schema/nis.schema ...
Installing new version of config file /etc/init.d/slapd ...
  Backing up /etc/ldap/slapd.conf in 
/var/backups/slapd-2.4.11-1+lenny2.1... done.
  Moving old database directories to /var/backups:
  - directory o=ccc.com... done.
  Loading from /var/backups/slapd-2.4.11-1+lenny2.1:
  - directory o=ccc.com... failed.

Loading the database from the LDIF dump failed with the following
error while running slapadd:
    /var/backups/slapd-2.4.11-1+lenny2.1/o=ccc.com.ldif: No such file 
or directory
dpkg: error processing slapd (--configure):
 subprocess installed post-installation script returned error exit 
status 1
Errors were encountered while processing:
 slapd
E: Sub-process /usr/bin/dpkg returned an error code (1)

Possible cause:
~~~~~~~~~~~~~~~

Instead of giving the same functionality from 7.2 slapd.preinst to 
slapd.prerm the files
where just switched. Whether this was intended or not, the consequences 
for the late
upgraders to squeeze are really bad.

-rwxr-xr-x 1 root root 22617 Dec 16 13:27 
/var/lib/dpkg/info/slapd.prerm         slapd_2.4.23-7.3
-rwxr-xr-x 1 root root   338 Jun 15  2011 
/oldbu/var/lib/dpkg/info/slapd.prerm   slapd_2.4.23-7.2

-rwxr-xr-x 1 root root    99 Dec 16 13:27 
/var/lib/dpkg/info/slapd.preinst	 slapd_2.4.23-7.3
-rwxr-xr-x 1 root root 22378 Jun 15  2011 
/oldbu/var/lib/dpkg/info/slapd.preinst slapd_2.4.23-7.2


hostone:/etc/ldap# diff /var/lib/dpkg/info/slapd.prerm 
/oldbu/var/lib/dpkg/info/slapd.preinst
1c1
< #!/bin/sh
---
> #! /bin/sh
830,838d829
< # Automatically added by dh_installinit
< if [ -x "/etc/init.d/slapd" ]; then
<       if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
<               invoke-rc.d slapd stop || exit $?
<       else
<               /etc/init.d/slapd stop || exit $?
<       fi
< fi
< # End automatically added section
843c834
< # vim: set foldmethod=marker:
---
> # vim: set sw=8 foldmethod=marker:


hostone:/etc/ldap# diff /var/lib/dpkg/info/slapd.preinst 
/oldbu/var/lib/dpkg/info/slapd.prerm
1c1
< #! /bin/sh
---
> #!/bin/sh
6a7,15
> # Automatically added by dh_installinit
> if [ -x "/etc/init.d/slapd" ]; then
>       if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
>               invoke-rc.d slapd stop || exit $?
>       else
>               /etc/init.d/slapd stop || exit $?
>       fi
> fi
> # End automatically added section
11c20
< # vim: set sw=8 foldmethod=marker:
---
> # vim: set foldmethod=marker:

Suggestion:
~~~~~~~~~~~

Please check, whether it is possible to give the same functionality to 
BOTH scripts:

slapd.prerm
slapd.preinst

It would be nice, if downgraders from Wheezy and late upgraders from 
Lenny could have a working slapd.

Considerations regarding workarounds:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

If possible, some hints and or workaround for late upgraders which 
already made
the same experience as myself, would be helpful.

Is there a way of making the old "slapd.preinst" from 2.4.23-7.2 run,
placing in the right place?
Only unpacking slapd_2.4.23-7.3_amd64.deb and suppress md5 complaints
whily manually installing the package from the unpacking directory,
putting the old slapd.preinst from 7.2 in the approbiate directory?

Refill /var/lib/ldap with the content of 
/var/backups/o=ccc.com-2.4.11-1+lenny2.1.ldapdb/
before should be necessary, or?

Or it is suggested to take the last Lenny backup, waiting for a 
hopefully fixed slapd_2.4.23-7.4 ?

Best Regards

Jens



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#665199; Package slapd. (Wed, 20 Mar 2013 15:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to wforumw@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 20 Mar 2013 15:06:14 GMT) Full text and rfc822 format available.

Message #125 received at 665199@bugs.debian.org (full text, mbox):

From: W Forum W <wforumw@gmail.com>
To: 665199@bugs.debian.org
Subject: Fix for 665199 breaks slapd upgrade from lenny to squeeze
Date: Wed, 20 Mar 2013 16:04:15 +0100
[Message part 1 (text/plain, inline)]
I am also a late upgrader from Lenny to Squeeze
I have the same problem here
Is there a way to get the upgrade done?

Upgrading the package slapd from Lenny 2.4.11-1+lenny2.1 to 2.4.23-7.3 
fails:

Setting up slapd (2.4.23-7.3) ...        
  Backing up /etc/ldap/slapd.conf in
/var/backups/slapd-2.4.11-1+lenny2.1... done.
  Moving old database directories to /var/backups:
  Loading from /var/backups/slapd-2.4.11-1+lenny2.1:
  - directory dc=ccc,dc=com... failed.

Loading the database from the LDIF dump failed with the following
error while running slapadd:
    /var/backups/slapd-2.4.11-1+lenny2.1/dc=uni-graz,dc=at.ldif: No such
file or directory
dpkg: error processing slapd (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while
processing:
 slapd
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up slapd (2.4.23-7.3) ...
  Backing up /etc/ldap/slapd.conf in
/var/backups/slapd-2.4.11-1+lenny2.1... done.
  Moving old database directories to /var/backups:
  Loading from /var/backups/slapd-2.4.11-1+lenny2.1:
  - directory dc=ccc,dc=com... failed.

Loading the database from the LDIF dump failed with the following
error while running slapadd:
    /var/backups/slapd-2.4.11-1+lenny2.1/dc=uni-graz,dc=at.ldif: No such
file or directory
dpkg: error processing slapd (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 slapd

[Message part 2 (text/html, inline)]

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 23 Mar 2013 04:24:06 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 04:24:06 GMT) Full text and rfc822 format available.

Message #130 received at 665199-done@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 665199-done@bugs.debian.org
Subject: re: slapd: fails to install, remove, distupgrade, and install again
Date: Sat, 23 Mar 2013 00:21:54 -0400
version: 2.4.23-7.3

The initial bug report was fixed with the spu upload.  The
(late)lenny->squeeze->wheezy problem should really be a new bug
report.

Best wishes,
Mike



No longer marked as found in versions openldap/2.4.23-7.3. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sat, 23 Mar 2013 17:45:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Apr 2013 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:01:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.